Subject: Re: [PATCH v2 3/3] t7800: run --dir-diff tests with and without symlinks

From: Johannes Sixt <[email-masked]>
Date: Mon, 25 Mar 2013 08:26:52 +0100

The series looks good, but I can't test it because it does not apply
anywhere here.

Am 3/23/2013 14:31, schrieb John Keeping:
> Currently the difftool --dir-diff tests may or may not use symlinks
> depending on the operating system on which they are run.  In one case
> this has caused a test failure to be noticed only on Windows when the
> test also fails on Linux when difftool is invoked with --no-symlinks.
> 
> Rewrite these tests so that they do not depend on the environment but
> run explicitly with both --symlinks and --no-symlinks, protecting the
> --symlinks version with a SYMLINKS prerequisite.

At first, I wondered what the point of having --symlinks and --no-symlinks
was when there is no discernable difference. But 1f229345 (difftool: Use
symlinks when diffing against the worktree) makes it pretty clear: It's an
optimization, and --no-symlinks is only intended as an escape hatch.

-- Hannes